## com.sun.grizzly
Class SSLConfig

    java.lang.Object
      com.sun.grizzly.SSLConfig

    public class SSLConfig

extends Object

SSL configuration

Author:
  Alexey Stashok

Field Summary
`static SSLConfig` `DEFAULT_CONFIG` Default SSL configuration
`static String` `KEY_STORE_FILE`
`static String` `KEY_STORE_PASSWORD`
`static String` `KEY_STORE_TYPE`
`static String` `TRUST_STORE_FILE`
`static String` `TRUST_STORE_PASSWORD`
`static String` `TRUST_STORE_TYPE`

Constructor Summary
`SSLConfig()`
`SSLConfig(boolean readSystemProperties)`

Method Summary
`SSLContext` `createSSLContext()`
`String` `getKeyStoreAlgorithm()`
`String` `getKeyStoreFile()`
`String` `getKeyStorePass()`
`String` `getKeyStoreType()`
`String` `getSecurityProtocol()`
`String` `getTrustStoreAlgorithm()`
`String` `getTrustStoreFile()`
`String` `getTrustStorePass()`
`String` `getTrustStoreType()`
`boolean` `isClientMode()`
`boolean` `isNeedClientAuth()`
`boolean` `isWantClientAuth()`
`void` `publish(Properties props)`
`void` `retrieve(Properties props)`
`void` `setClientMode(boolean clientMode)`
`void` `setKeyStoreAlgorithm(String keyStoreAlgorithm)`
`void` `setKeyStoreFile(String keyStoreFile)`
`void` `setKeyStorePass(String keyStorePass)`
`void` `setKeyStoreType(String keyStoreType)`
`void` `setNeedClientAuth(boolean needClientAuth)`
`void` `setSecurityProtocol(String securityProtocol)`
`void` `setTrustStoreAlgorithm(String trustStoreAlgorithm)`
`void` `setTrustStoreFile(String trustStoreFile)`
`void` `setTrustStorePass(String trustStorePass)`
`void` `setTrustStoreType(String trustStoreType)`
`void` `setWantClientAuth(boolean wantClientAuth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRUST_STORE_FILE

    public static final String TRUST_STORE_FILE

See Also:
  Constant Field Values

### KEY_STORE_FILE

    public static final String KEY_STORE_FILE

See Also:
  Constant Field Values

### TRUST_STORE_PASSWORD

    public static final String TRUST_STORE_PASSWORD

See Also:
  Constant Field Values

### KEY_STORE_PASSWORD

    public static final String KEY_STORE_PASSWORD

See Also:
  Constant Field Values

### TRUST_STORE_TYPE

    public static final String TRUST_STORE_TYPE

See Also:
  Constant Field Values

### KEY_STORE_TYPE

    public static final String KEY_STORE_TYPE

See Also:
  Constant Field Values

### DEFAULT_CONFIG

    public static SSLConfig DEFAULT_CONFIG

  Default SSL configuration

Constructor Detail

### SSLConfig

    public SSLConfig()

### SSLConfig

    public SSLConfig(boolean readSystemProperties)

Method Detail

### getTrustStoreType

    public String getTrustStoreType()

### setTrustStoreType

    public void setTrustStoreType(String trustStoreType)

### getKeyStoreType

    public String getKeyStoreType()

### setKeyStoreType

    public void setKeyStoreType(String keyStoreType)

### getTrustStorePass

    public String getTrustStorePass()

### setTrustStorePass

    public void setTrustStorePass(String trustStorePass)

### getKeyStorePass

    public String getKeyStorePass()

### setKeyStorePass

    public void setKeyStorePass(String keyStorePass)

### getTrustStoreFile

    public String getTrustStoreFile()

### setTrustStoreFile

    public void setTrustStoreFile(String trustStoreFile)

### getKeyStoreFile

    public String getKeyStoreFile()

### setKeyStoreFile

    public void setKeyStoreFile(String keyStoreFile)

### getTrustStoreAlgorithm

    public String getTrustStoreAlgorithm()

### setTrustStoreAlgorithm

    public void setTrustStoreAlgorithm(String trustStoreAlgorithm)

### getKeyStoreAlgorithm

    public String getKeyStoreAlgorithm()

### setKeyStoreAlgorithm

    public void setKeyStoreAlgorithm(String keyStoreAlgorithm)

### getSecurityProtocol

    public String getSecurityProtocol()

### setSecurityProtocol

    public void setSecurityProtocol(String securityProtocol)

### isNeedClientAuth

    public boolean isNeedClientAuth()

### setNeedClientAuth

    public void setNeedClientAuth(boolean needClientAuth)

### isWantClientAuth

    public boolean isWantClientAuth()

### setWantClientAuth

    public void setWantClientAuth(boolean wantClientAuth)

### isClientMode

    public boolean isClientMode()

### setClientMode

    public void setClientMode(boolean clientMode)

### createSSLContext

    public SSLContext createSSLContext()

### retrieve

    public void retrieve(Properties props)

### publish

    public void publish(Properties props)

Copyright © 2008 SUN Microsystems. All Rights Reserved.